%global fontname scholarsfonts-cardo
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.045 
Release:        10%{?dist}
Summary:        A font for scholarly use in classical and medieval languages

License:        OFL
URL:            http://scholarsfonts.net/cardofnt.html
Source0:        http://scholarsfonts.net/cardo104.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml
# Emailed to creator, 2015-01-13
Patch1:         cardo104-metrics.patch

BuildArch:      noarch
BuildRequires:  fontpackages-devel, fonttools
Requires:       fontpackages-filesystem
Obsoletes:      cardo-fonts < 0.099-1

%description
Cardo is a large Unicode font specifically designed for the needs of 
classicists, Biblical scholars, medievalists, and linguists.  Since it may be
used to prepare materials for publication, it also contains features that are
required for high-quality typography, such as ligatures, text figures (also 
known as old style numerals), true small capitals and a variety of punctuation
and space characters.  It may also be used to document and discuss the features
of Unicode that are applicable to the these disciplines, as we work to help 
colleagues understand the value (and limitations) of Unicode.
This font has been revived in modern times under several names (Bembo, Aetna,
Aldine 401).

%prep
%setup -q -c
ttx Cardo104s.ttf Cardob101.ttf
rm Cardo104s.ttf Cardob101.ttf
%patch1
ttx Cardo104s.ttx Cardob101.ttx

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p Cardo104s.ttf Cardob101.ttf Cardoi99.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc Manual104s.pdf 
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.045-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 13 2015 Paul Flo Williams <paul@frixxon.co.uk> - 1.045-9
- Add Bold and Italic styles
- Patch metrics for regular and bold so they work in LibreOffice and others

* Thu Oct 16 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.045-8
- Add metainfo file to show this font in gnome-software

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.045-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 27 2013 Parag Nemade <pnemade AT redhat DOT com> - 1.045-6
- Resolves:rh#1000907:Enable auto-hinting in fontconfig file

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.045-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.045-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.045-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.045-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 27 2011 Parag Nemade <pnemade AT redhat DOT com> - 1.045-1
- Update to next release 1.04

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.099-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 30 2010 Parag Nemade <pnemade AT redhat.com> - 0.099-2
- Include upstream confirmed license copy in %%doc

* Mon Jun 14 2010 Parag Nemade <pnemade AT redhat.com> - 0.099-1
- Renamed to follow fonts package naming guidelines.

* Wed May 26 2010 Parag Nemade <pnemade AT redhat.com> - 0.098-1
- Initial Fedora release.

